# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/proj-7.0.1-on-linux_canary, last modified Tue May 26 15:28:32 2020
# ------------------------------------------------

package:
    name: proj
    version: 7.0.1
source:
    -   sha256: a7026d39c9c80d51565cfc4b33d22631c11e491004e19020b3ff5a0791e1779f
        url: http://download.osgeo.org/proj/proj-7.0.1.tar.gz
build:
    number: '1'
    run_exports:
        - proj >=7.0.1,<7.0.2.0a0
    string: h59a7b90_1
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
        - pkg-config 0.29.2 h1bed415_8
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.1.1 0
        - jpeg 9b h024ee3a_2
        - krb5 1.17.1 h173b8e3_0
        - libcurl 7.69.1 h20c2e04_0
        - libedit 3.1.20181209 hc058e9b_0
        - libgcc-ng 9.1.0 hdf63c60_0
        - libssh2 1.9.0 h1ba5d50_1
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtiff 4.1.0 h2733197_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1g h7b6447c_0
        - sqlite 3.31.1 h62c20be_1
        - tk 8.6.8 hbc83047_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - libcurl >=7.69.1,<8.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - libtiff >=4.1.0,<5.0a0
        - sqlite >=3.31.1,<4.0a0
    run_constrained:
        - proj4 ==999999999999
test:
    commands:
        - echo -105 40 | proj +proj=utm +zone=13 +ellps=WGS84
        - echo -117 30 | cs2cs +proj=latlong +datum=NAD27 +to +proj=latlong +datum=NAD83
        - echo -105 40 | cs2cs +init=epsg:4326 +to +init=epsg:2975
about:
    home: https://proj.org/
    license: MIT
    license_file: COPYING
    summary: Cartographic Projections and Coordinate Transformations Library
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - hobu
        - msarahan
        - mwtoews
        - ocefpaf
        - pelson
        - snowman2
        - xylar
